# Class PokemonPhase`Abstract`

#### Hierarchy (view full)

- FieldPhase
  - PokemonPhase
    - PostSummonPhase
    - SelectTargetPhase
    - CommonAnimPhase
    - MoveEffectPhase
    - MoveEndPhase
    - ShowAbilityPhase
    - StatChangePhase
    - ObtainStatusEffectPhase
    - PostTurnStatusEffectPhase
    - DamagePhase
    - FaintPhase
    - VictoryPhase
    - AttemptCapturePhase
    - AttemptRunPhase
    - ShinySparklePhase
    - ScanIvsPhase

- Defined in src/phases.ts:687

#####
Index

### Constructors

constructor

### Properties

battlerIndex
fieldIndex
player
scene

### Methods

end
executeForAll
getOrder
getPokemon
hideEnemyTrainer
showEnemyTrainer
start

## Constructors

### constructor

- new PokemonPhase(scene, battlerIndex): PokemonPhase

- #### Parameters

  - scene: default
  - battlerIndex: number

  #### Returns PokemonPhase

  Overrides FieldPhase.constructor

  - Defined in src/phases.ts:692

## Properties

### `Protected` battlerIndex

battlerIndex: number

- Defined in src/phases.ts:688

### fieldIndex

fieldIndex: number

- Defined in src/phases.ts:690

### player

player: boolean

- Defined in src/phases.ts:689

### `Protected` scene

scene: default

Inherited from FieldPhase.scene

- Defined in src/phase.ts:4

## Methods

### end

- end(): void

- #### Returns void

  Inherited from FieldPhase.end

  - Defined in src/phase.ts:17

### executeForAll

- executeForAll(func): void

- #### Parameters

  - func: PokemonFunc

  #### Returns void

  Inherited from FieldPhase.executeForAll

  - Defined in src/phases.ts:681

### getOrder

- getOrder(): BattlerIndex []

- #### Returns BattlerIndex []

  Inherited from FieldPhase.getOrder

  - Defined in src/phases.ts:659

### getPokemon

- getPokemon(): default

- #### Returns default

  - Defined in src/phases.ts:704

### hideEnemyTrainer

- hideEnemyTrainer(): void

- #### Returns void

  Inherited from FieldPhase.hideEnemyTrainer

  - Defined in src/phases.ts:644

### showEnemyTrainer

- showEnemyTrainer(trainerSlot?): void

- #### Parameters

  - trainerSlot: TrainerSlot = TrainerSlot.NONE

  #### Returns void

  Inherited from FieldPhase.showEnemyTrainer

  - Defined in src/phases.ts:617

### start

- start(): void

- #### Returns void

  Inherited from FieldPhase.start

  - Defined in src/phase.ts:10